var	Y, trend, cycle, mmu, slop, cyc;
varexo e1, e2, e3;
parameters rho;
rho = param(1);

model(linear);
	Y = trend + cycle;
	trend = mmu(-1);
	mmu = mmu(-1) + slop(-1) + e1;
	slop = slop(-1) + e2;
	cycle = cyc(-1);
	cyc = rho*cyc(-1) + e3;
end;

shocks;
	var e1; stderr 0.01;
	var e2; stderr 0.01;
	var e3; stderr 1.00;
end;

estimated_params;
	rho, param(1), beta_pdf, 0.75, 0.10;
end;

varobs Y;

estimation(datafile=Data, lik_init=2, kalman_algo=0, mh_replic=100, smoother, mode_compute=4, plot_priors=0) Y trend cycle;

